Bug 136142 - Removal of irc/kvirc-devel
Summary: Removal of irc/kvirc-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-28 20:30 UTC by Chris Petrik
Modified: 2009-07-10 04:20 UTC (History)
0 users

See Also:


Attachments
patch-kvirc-devel-Makefile.diff (325 bytes, patch)
2009-07-03 23:12 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2009-06-28 20:30:06 UTC
The kvirc-devel ports lacks in updates, and it is very old still in the 3.2.x release.

Maintainer does not reply to emails etc..

I myself don't see the need for a -devel port of kvirc or else I would of requested change of maintainer ship to myself.
Comment 1 Edwin Groothuis freebsd_committer 2009-06-28 22:55:27 UTC
Maintainer of irc/kvirc-devel,

Please note that PR ports/136142 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/136142

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-06-28 22:55:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Armin Pirkovitsch 2009-06-29 07:39:25 UTC
Until recently there was no kvirc development version - the release
always was the most current version.
However, since 11th of June there is a 4.0 devel version - on the webpage
it says SVN snapshot but i haven't found any official snapshot archives
to use for a port.

Any suggestions how to proceed?
--
Comment 4 Chris Petrik 2009-06-29 20:11:22 UTC
Hello,

I have seen this port lag behind, you could of updated it with the 
3.4.2rc's or 3.4.0 etc.. You can also use SVN to check out the current 
4.0, it is a -devel port. 3.2.6 is dated back to 2006.

I myself don't see the need for this port if it wont be updated. I am 
willing to work will you if you need help getting the port to work using 
SVN.

if you care to discuss this over email i'm all ears :)

c.petrik.sosa at gmail.com
Comment 5 Chris Petrik 2009-07-01 10:48:05 UTC
Another idea would be to check the latest from SVN, tar it up and put it 
on a site, and add in the site as mastersite.

every couple of days update the devel branch and make sure it 
compiles/installs/deinstalls. it's devel so it will be updated 
constantly. and may break obviously.

:)
Comment 6 Armin Pirkovitsch 2009-07-03 21:09:03 UTC
@Chris: Looks like you have big plans for the port - so I won't be in your way.

If Chris wants to take the maintainership I'm fine with it.

Armin
-- 
Armin Pirkovitsch
a.pirko@inode.at
Comment 7 Chris Petrik 2009-07-03 21:27:36 UTC
Armin Pirkovitsch wrote:
> @Chris: Looks like you have big plans for the port - so I won't be in your way.
>
> If Chris wants to take the maintainership I'm fine with it.
>
> Armin
>   
Hello,

Its not that, It's just that I have seen this port unchanged for so 
long, but sure I will take maintainership. I would rather the port be 
removed and care taken to make kvirc working. But if you don't agree I 
will take maintainership of the port.
Comment 8 Chris Petrik 2009-07-03 23:12:09 UTC
Patch to request Maintainership
Comment 9 Armin Pirkovitsch 2009-07-06 10:00:53 UTC
approved.

-- 
Armin Pirkovitsch
a.pirko@inode.at
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2009-07-07 10:33:43 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 11 Wesley Shields freebsd_committer 2009-07-07 13:32:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 12 Wesley Shields freebsd_committer 2009-07-10 04:19:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 13 dfilter service freebsd_committer 2009-07-10 04:19:46 UTC
wxs         2009-07-10 03:19:36 UTC

  FreeBSD ports repository

  Modified files:
    irc/kvirc-devel      Makefile 
  Log:
  - Give this port a loving home with a new maintainer
  
  PR:             ports/136142
  Submitted by:   Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:    Armin Pirkovitsch <a.pirko@inode.at> (old maintainer)
  
  Revision  Changes    Path
  1.56      +1 -1      ports/irc/kvirc-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"